<h1>Список связей задач и комплексных задач</h1>
<input type="button" value="Добавить" class="btn btn-light" (click)="add()" />
<h3>Всего в таблице элементов {{jobToEpicTaskCount}}</h3>
<table *ngIf="tableMode; else create" class="table table-striped">
    <thead>
        <tr>
            <td>Id</td>
            <td>JobId</td>
            <td>EpicTaskId</td>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let i of jobToEpicTasks">
            <ng-template [ngIf]="jobToEpicTask?.id != i.id" [ngIfElse]="edit">
                <td width="25%">{{i?.id}}</td>
                <td width="25%">{{i?.jobId}}</td>
                <td width="25%">{{i?.epicTaskId}}</td>
                <td width="25%">
                    <button class="btn btn-sm btn-primary" (click)="editJobToEpicTask(i)">Изменить</button>
                    <button class="btn btn-sm btn-danger" (click)="deleteJobToEpicTask(i)">Удалить</button>
                </td>
            </ng-template>
        </tr>
    </tbody>
</table>
<ngb-pagination *ngIf="tableMode" class="d-flex justify-content-center" [collectionSize]="jobToEpicTaskCount" [pageSize]="pageSize" [(page)]="page" [boundaryLinks]="true" (pageChange)="onPageChanged($event)"></ngb-pagination>


<!--шаблон для редактирования-->
<ng-template #edit>
    <td>
        <input type="text" disabled [ngModel]="jobToEpicTask.id" class="form-control" />
    </td>
    <td>
        <input #jobId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToEpicTask.jobId" class="form-control" />
        <div class="alert alert-danger" [hidden]="jobId.valid || jobId.pristine">
            Идентификатор задачи должен быть натуральным числом
        </div>
    </td>
    <td>
        <input #epicTaskId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToEpicTask.epicTaskId" class="form-control" />
        <div class="alert alert-danger" [hidden]="epicTaskId.valid || epicTaskId.pristine">
            Идентификатор комплексной задачи должен быть натуральным числом
        </div>
    </td>
    <td width="20%">
        <input type="button" [disabled]="!epicTaskId.valid || !jobId.valid" value="Сохранить" (click)="updateJobToEpicTask()" class="btn btn-sm btn-success" />
        <input type="button" value="Отмена" (click)="cancelEditJobToEpicTask()" class="btn btn-sm btn-warning" />
    </td>
</ng-template>

<!--шаблон для добавления-->
<ng-template #create>
    <div class="form-group">
        <label>JobId</label>
        <input #jobId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToEpicTask.jobId" class="form-control" />
        <div class="alert alert-danger" [hidden]="jobId.valid || jobId.pristine">
            Идентификатор задачи должен быть натуральным числом
        </div>
    </div>
    <div class="form-group">
        <label>EpicTaskId</label>
        <input #epicTaskId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToEpicTask.epicTaskId" class="form-control" />
        <div class="alert alert-danger" [hidden]="epicTaskId.valid || epicTaskId.pristine">
            Идентификатор комплексной задачи должен быть натуральным числом
        </div>
    </div>
    <div>
        <input type="button" [disabled]="!epicTaskId.valid || !jobId.valid" value="Сохранить" (click)="createJobToEpicTask()" class="btn btn-success" />
        <input type="button" value="Отмена" (click)="cancelAddJobToEpicTask()" class="btn btn-warning" />
    </div>
</ng-template>